function [K2Sb] = K2atSb

% value of K when host can just invade.

% baseline parameters

s1 = 15000/10000;  % different max values of spore yield
v = 0.07;   						% default virulence
e = 8.5;				% conversion efficiency 
d = 0.03;  				% background death rate of hosts
r = 0.8; 				% maximal growth rate of the algal resource (r_m in text)
fs0 = 0.0178;            		% size-specific foraging rate of uninfecteds
L = 1.4;				% length of animals
fs = fs0*L^2;
u = 0.0004*10000;      		 	% per spore susceptibility


% functions 
Ab = d / (e * fs);

K2Sb = 2*Ab; % vlaue of K when S can invade
