function KR0 = KatR0

% value of carrying capacity when R0 = 1 (when the parasite can just invade)

% baseline parameters
s1 = 15000/10000;  % different max values of spore yield
v = 0.07;   						% default virulence
e = 8.5;				% conversion efficiency 
d = 0.03;  				% background death rate of hosts
r = 0.8; 				% maximal growth rate of the algal resource (r_m in text)
fs0 = 0.0178;            		% size-specific foraging rate of uninfecteds
L = 1.4;				% length of animals
fs = fs0*L^2;

r = 0.8; 				% maximal growth rate of the algal resource (r_m in text)
m = 0.8; 				% loss rate of spores
u = 0.0004*10000;      		 	% per spore susceptibility
h = 0.015;              		% half saturation constant for resource-dependent spore growth


% functions 
Ab = d / (e * fs);
sig = s1*Ab/(h+Ab);


% result

KR0 = Ab*( 1 + ( m/ (r*(u*sig-1)-m)) );  % value of K when R0 = 0