function Map_K2_v

version = 2
% general settings
mod = 1;



e = 8.5;				% conversion efficiency 
d = 0.03;  				% background death rate of hosts
r = 0.8; 				% maximal growth rate of the algal resource (r_m in text)
fs0 = 0.0178;            		% size-specific foraging rate of uninfecteds
L = 1.4;				% length of animals
fs = fs0*L^2;
if version == 1
    b = 2.86 * 10^-5 * 10000;  					% default sensitivity
    s1 = 15000/10000;  % different max values of spore yield
elseif version == 2
    b = 0;  					% default sensitivity
    s1 = 15000/10000;  % different max values of spore yield
elseif version == 3
    b = 2.86 * 10^-5 * 10000;  					% default sensitivity
    s1 = 25000/10000;  % different max values of spore yield
elseif version == 4
    b = 2.86 * 10^-5 * 10000;  					% default sensitivity
    s1 = 20000/10000;  % different max values of spore yield
elseif version == 5
    b = 2.86 * 10^-5 * 10000;  					% default sensitivity
    s1 = 10000/10000;  % different max values of spore yield
end 
  
% loop through K
Kmin = 0.228;  % minimal carring capacity
Kmax = 1.5;  % maximum carrying capacity
Kint = 0.01;  % interval over which carrying capacity is varied
ki=0; % initialize counter

for K = Kmin:Kint:Kmax
    ki= ki+1; % advance K counter
    Kp(ki) = K; % vector of K for plotting
    if ki == 1;
        v0 = 0.05;
    else
        v0 = vcrit(ki-1);
    end
    optzero = [];
    vcrit(ki) = fzero(@AK2_Kv_zero,v0, optzero, K, s1, b, d,e,fs,r, mod)
 
end % K loop

figure(15)
plot(Kp,vcrit,'k-');

results=[Kp',vcrit']; % save results
if version == 1  % alpha > 0, baseline sigman
    save Map_k2v_1.txt  results -ascii;
elseif version == 2  % alpha = 0
    save Map_k2v_1b.txt  results -ascii;
elseif version == 3  % alpha > 0, sigma = 25K
    save Map_k2v_1c.txt  results -ascii;
elseif version == 4  % alpha > 0, sigma = 15K
    save Map_k2v_1d.txt  results -ascii;
elseif version == 5  % alpha > 0, sigma = 10K
    save Map_k2v_1e.txt  results -ascii;
end
