function Map_K2_alpha2

% this version imagines f-hat values are the same - f-hat_S = f-hat_I
% therefore, the results solely focus on the role of alpha

% it produces the "2" version of data files


version = 1;
% general settings
mod = 4;
s1 = 15000/10000;  % different max values of spore yield
if version == 1
    v = 0.07;   						% default virulence
elseif version == 2
    v = 0.03;
end
e = 8.5;				% conversion efficiency 
d = 0.03;  				% background death rate of hosts
r = 0.8; 				% maximal growth rate of the algal resource (r_m in text)
fs0 = 0.0178;            		% size-specific foraging rate of uninfecteds
L = 1.4;				% length of animals
fs = fs0*L^2;

% loop through K
Kmin = .4;  % minimal carring capacity
Kmax = 1.5;  % maximum carrying capacity
Kint = 0.005;  % interval over which carrying capacity is varied
ki=0; % initialize counter

for K = Kmin:Kint:Kmax
    ki= ki+1; % advance K counter
    Kp(ki) = K; % vector of K for plotting
    %bmin=0; bmax = 25 * 10^-5 * 10000; br=[bmin, bmax]; % range of b to vary
    if ki == 1 
        b0 = 1 * 10^-5 * 10000;
    else
        b0 = bcrit(ki-1);
    end
    optzero = [];
    bcrit(ki) = fzero(@AK2_Kb_zero, b0, optzero, K, s1, v, d,e,fs,r, mod)
 
end % K loop

figure(3)
plot(Kp,bcrit,'k-');
results=[Kp',bcrit'] % save results
if version == 1
    save Map_k2a_2.txt  results -ascii;
elseif version == 2
    save Map_k2a_2b.txt  results -ascii;
end
